/**[f******************************************************************
 *	CIPStrm.h -- CIPrintStream Interface definition
 *
 *	Copyright (c) 1996 Adobe Systems, Inc. All Rights Reserved
 *
 *	
 * ABSTRACT:  
 *
 * USAGE: 
 *
 * $Revision:   1.3  $
 *
 * $Author:   PMBuilder  $
 * $Date:   28 Aug 1996 11:36:06  $
 * $Log:   P:/baseline/pmsdk/includes/vcs/cipstrm.hv  $
 * 
 *    Rev 1.3   28 Aug 1996 11:36:06   PMBuilder
 * Changed occurances of 'bool' to 'BOOL' to get clean compile.
 * 
 *    Rev 1.2   27 Aug 1996 15:09:06   pnorton
 * fixed types, added vcs comments
 *
 **f]******************************************************************/ 

#ifndef __CIPSTRM_H
#define __CIPSTRM_H


class CIPrintStream : public CIInterface {
public:
	virtual void	PrintVM( unsigned long *lpVMAmt ) = 0;
	virtual PMXErr	SendPSBlockMem( char *dataBuffer, unsigned long bufSize ) = 0;
	virtual PMXErr	SendPSBlockFile( LPSTR lpFileName ) = 0;
	virtual PMXErr	SendPSDictionaryMem( int vmNeeded, char *bufData, unsigned long bufSize, char *dictName ) = 0;
	virtual PMXErr	SendSetupPSMem( char *dataBuffer, unsigned long bufSize ) = 0;
	virtual PMXErr	SendSetupPSFile( char *lpFileName ) = 0;
	virtual PMXErr	SendPSComments( char *dataBuffer, unsigned long bufSize ) = 0;
	virtual void	EnableCommentDetect( BOOL flag ) = 0;
};

#endif
