/*
 *--- PGetHyperlinkInfo.h --------------------------------------------------
 * Copyright (c) 1997 Adobe Systems Incorporated.  All rights reserved.
 * Created on Friday, June 20, 1997 by Paul Norton.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetHyperlinkInfo.html
 *-------------------------------------------------------------------------
 */

#ifndef __PGetHyperlinkInfo__
#define __PGetHyperlinkInfo__

#include "PHandleQuery.h"

class PGetHyperlinkInfo : public PHandleQuery
{

public:

	PGetHyperlinkInfo(const long tokenCharPos);

	long		pageRefRID;
	short		pageRefType;

private:

	PGetHyperlinkInfo();
};

#endif

// end of PGetHyperlinkInfo.h