/*--PGetInkInfo.cpp----------------------------------------------
 * Copyright 1997, Adobe Systems, Inc. All rights reserved.
 *
 *---------------------------------------------------------------
 */

#include "PGetInkInfo.h"
#include "PHandleQuery.h"
#include "PRequestBuf.h"

PGetInkInfo::PGetInkInfo( const char * sInkName )
: PHandleQuery()
{
	PRequestBuf request( strlen( sInkName) + 3 );

	request	<< sInkName;

	PQuery( pm_getinkinfo, request, itsHandle );
	InitHandle();

	PReplyBuf reply(replyPtr);
	reply	>> &sAngle
			>> &sRuling
			>> bCustomND
			>> nNuetralDensity;
}

// end PGetInkInfo
		