/*
 *--- ExportInterface.h --------------------------------------------------
 * Copyright (c) 1997 Adobe Systems, Inc.  All rights reserved.
 *----------------------------------------------------------------------
 */

#ifndef __ExportInterface__
#define __ExportInterface__

#include "PPluginCall.h"
#include "PageInterface.h"

class ExportInterface : public PPluginCall
{

public:

	ExportInterface();
	virtual ~ExportInterface() {}

	// Override these methods.
	virtual void	DoLoad();
	virtual void	DoRegister();
	virtual void	DoInvoke();
	virtual void	DoUnload();
	virtual void	DoEvent();
	virtual void	DoSysEvent();
	virtual void	DoAcquireInterface();
	virtual	void	DoReleaseInterface();
	virtual void	DoShutdown();

	
private:


};

#endif // __ExportInterface__
