/*-----PageInterface.cpp----------------------------------------
 * Copyright (c) 1997, Adobe Systems, Inc. All rights reserved.
 * 
 * In this file we will implement the interface that is being 
 *	added to PageMaker.
 *---------------------------------------------------------------
 */

#include "PageInterface.h"
#include "PMPlugin.h"
#include "PCL.h"

PageInterface::PageInterface() : MyInterface()
{

}

PageInterface::~PageInterface()
{

}

short PageInterface::PageCount()
{
	PGetPages count;
	return count;
}

PMErr PageInterface::AddPage()
{
	short total=0;
	PGetPages count;
	total = count + 1;
	PPageNumbers( kParmDontCare, total, kParmDontCare, kParmDontCare );
	return CQ_SUCCESS;
	/*if ( count != 999 )
	{
		PPageNumbers( kParmDontCare, count+1, kParmDontCare, kParmDontCare );
		return CQ_SUCCESS;
	}
	else
	{
		return CQ_FAILURE;
	}*/
}

PMErr PageInterface::RemovePage()
{
	PGetPages count;
	if ( count > 1 )
	{
		PRemovePages(count, count);
		return CQ_SUCCESS;
	}
	else
	{
		return CQ_FAILURE;
	}
}

