/*----------PageInterface.h------------------------------------
 * Copyright (c) 1997, Adobe Systems, Inc. All rights reserved.
 * 
 * This is the class declaration for the PageInterface class.
 * The PageInterface class inherits and implements the pure virtual
 * functions that are in the MyInterface class.
 *
 *----------------------------------------------------------------
 */
#ifndef __PageInterface__
#define __PageInterface__

#include "MyInterface.h"
#include "PMPlugin.h"

class PageInterface : public MyInterface
{
public:
	PageInterface();
	~PageInterface();

	// These are the member classes available through the abstract class
	//		MyInterface.
	short PageCount();
	PMErr AddPage();
	PMErr RemovePage();
};

#endif //__PageInterface__
