/*
 *--- ImportInterface.h --------------------------------------------------
 * Copyright (c) 1997 Adobe Systems, Inc.  All rights reserved.
 *----------------------------------------------------------------------
 */

#ifndef __ImportInterface__
#define __ImportInterface__

#include "PPluginCall.h"

class ImportInterface : public PPluginCall
{

public:

	ImportInterface();
	virtual ~ImportInterface() {}

	// Override these methods.
	virtual void	DoLoad();
	virtual void	DoRegister();
	virtual void	DoInvoke();
	virtual void	DoUnload();
	virtual void	DoEvent();
	virtual void	DoSysEvent();
	virtual void	DoAcquireInterface();
	virtual	void	DoReleaseInterface();
	virtual void	DoShutdown();

	
private:

};

#endif // __ImportInterface__
