/*
 *--- ColorerPlugin.h --------------------------------------------------
 * Copyright (c) 1995 Adobe Systems, Inc.  All rights reserved.
 *----------------------------------------------------------------------
 */

#ifndef __ColorerPlugin__
#define __ColorerPlugin__

#include "PPluginCall.h"
#include "PCL.h"

class NewPalette : public PPluginCall
{

public:

	NewPalette();
	virtual ~NewPalette() {}

	// Override these methods.
	virtual void	DoLoad();
	virtual void	DoRegister();
	virtual void	DoInvoke();
	virtual void	DoUnload();
	virtual void	DoEvent();
	virtual void	DoSysEvent();
	virtual void	DoAcquireInterface();
	virtual	void	DoReleaseInterface();
	virtual void	DoShutdown();

	// plug-in specific methods (not a part of the framework
	void PaletteEvents();
	void InitMyPalette();

	PGetColorNames * colorNames;

#ifdef MACINTOSH
	MenuHandle colorMenu;
	ControlHandle colorPup;
#endif
	
	

	
private:

};

#endif // __ColorerPlugin__
