/**[f******************************************************************
 *	CIClrMgt.h -- CIColorManagement Interface definition
 *
 *	Copyright (c) 1996 Adobe Systems, Inc. All Rights Reserved
 *
 *	
 * ABSTRACT:  
 *
 * USAGE: 
 *
 * $Revision:   1.0  $
 *
 * $Author:   thr  $
 * $Date:   03 Oct 1996 14:56:20  $
 * $Log:   pmbuilds:cm:baseline:pmsdk:includes:vcs:ciclrmgt.hv  $
 * 
 *    Rev 1.0   03 Oct 1996 14:56:20   thr
 * Initial revision.
 *
 **f]******************************************************************/ 

#ifndef __CICLRMGT_H
#define __CICLRMGT_H
#include "PMTypes.h"

class CIColorManagement : public CIInterface {
public:
	// get all profiles associated with current pub
	// Note: Caller is responsible for freeing the handle if this method is successful,
	// via FreeHandle method
	virtual PMXErr	GetAllSourceProfiles ( PMHandle *phProfileNames, unsigned short *pNameCnt, unsigned short *pSizeEach) = 0;
	virtual void	FreeHandle ( PMHandle aHandle) = 0;
};

#endif // __CICLRMGT_H
