/***[f*****************************************************************
 *      cicmdqry.h      -- Component Interface for PageMaker Commands & Queries.
 *
 *      Copyright 1996 (c) Adobe Systems, Inc. All Rights Reserved
 *
 *      Public version
 * $Revision:   1.4  $
 *
 * $Author:   edmundl  $
 * $Date:   11 Oct 1996 16:04:12  $
 * $Log:   O:/baseline/pmsdk/includes/vcs/cicmdqry.hv  $
 * 
 *    Rev 1.4   11 Oct 1996 16:04:12   edmundl
 * Fixed typo for prototype.
 * 
 *    Rev 1.3   11 Oct 1996 15:56:06   edmundl
 * Added ErrorAlert method.
 * 
 *    Rev 1.2   27 Aug 1996 15:01:32   pnorton
 * fixed types, added vcs comments.
 *
 *      
 ***f]*****************************************************************/

#ifndef __CICMDQRY_H
#define __CICMDQRY_H

// class to obtain param block
class CICommandQuery : public CIInterface
{
public:
	virtual PMXErr Retrieve(sPMParamBlockPtr *lpPB)=0;
	virtual void ErrorAlert(PMXErr err, sPMParamBlockPtr lpParamBlock)=0;
};

#endif
