/*
 *--- PageMaker.h ----------------------------------------------
 * Copyright (c) 1995 Adobe Systems, Inc.  All rights reserved.
 *
 * This contains the common .h files for a PageMaker plug-in.
 *
 * $Revision:   1.2  $
 *
 * $Author:   pnorton  $
 * $Date:   27 Aug 1996 15:17:12  $
 * $Log:   U:/pmsdk/includes/vcs/pmplugin.hv  $
 * 
 *    Rev 1.2   27 Aug 1996 15:17:12   pnorton
 * added vcs comments
 *
 *--------------------------------------------------------------
 */
#ifndef __PageMaker__
#define __PageMaker__

#include "PMTypes.h"
#include "PMCommands.h"
#include "PMQueries.h"
#include "PMUtils.h"
#include "PMMemory.h"

#ifndef __cplusplus
       // #include "PMUtils.h"    // this replaces the obsolete PageMakerPBMacros.h
	#include "PMKeywords.h"
#else
	// Try the new PageMaker Class Library!
#endif

// Most plug-ins will need these error codes
#include "PMCQErrs.h"

// You probably won't need these error codes
#if 0
	#include "PageMakerDialogErrs.h"
	#include "PageMakerFileErrs.h"
	#include "PageMakerImpExpErrs.h"
	#include "PageMakerPrinterErrs.h"
	#include "PageMakerTextErrs.h"
	#include "PageMakerMiscErrs.h"
#endif

#endif  // __PageMaker__
