/*
 *--- PAssignLayer.cpp -------------------------------------------------
 * Copyright (c) 1995-97 Adobe Systems Incorporated.  All rights reserved.
 *
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PAssignLayer.html
 *-------------------------------------------------------------------------
 */

#include "PAssignLayer.h"
#include "PRequestBuf.h"

#include "PCommand.h"

PAssignLayer::PAssignLayer(const char * sNameFrom, const char * sNameTo)
{
	PRequestBuf request(strlen(sNameFrom) + strlen(sNameTo) + 4);
	
	request << sNameFrom << sNameTo;
	
	PCommand command(pm_assignlayer, request);
}

PAssignLayer::PAssignLayer(const char * sNameTo)
{
	PRequestBuf request( strlen( sNameTo ) + 6);

	request << "" << sNameTo;
	
	PCommand command(pm_assignlayer, request);
}

// end of PAssignLayer.cpp
