/*--PFrameContentPos.cpp------------------------------------------
 * Copyright (c) 1997, Adobe Systems, Inc. All rights reserved.
 *
 *----------------------------------------------------------------
 */

#include "PFrameContentPos.h"
#include "PCommand.h"
#include "PRequestBuf.h"

const size_t REQUEST_SIZE = 8;

PFrameContentPos::PFrameContentPos
(	short nVertAlign,
	short nHorzAlign,
	short nScaleType,
	PMBool bKeepAspectRatio)
{
	PRequestBuf request( REQUEST_SIZE );

	request << nVertAlign
			<< nHorzAlign
			<< nScaleType
			<< bKeepAspectRatio;

	PCommand( pm_framecontentpos, request );
}

