/*-- PGetHyperLinkInfo.cpp-----------------------------------------------------------
 * Copyright 1997, Adobe Systems, Inc. All rights reserved.
 * Created Fri. June 20, 1997 by Paul Norton.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetHyperlinkInfo.html
 *-------------------------------------------------------------------------
 */

#include "PGetHyperlinkInfo.h"
#include "PRequestBuf.h"
#include "PReplyBuf.h"

PGetHyperlinkInfo::PGetHyperlinkInfo(const long tokenCharPos)
: PHandleQuery()
{
	PRequestBuf request(3);
	
	request << tokenCharPos;

	PQuery query(pm_gethyperlinkinfo, request, itsHandle);
	InitHandle();

	PReplyBuf reply(replyPtr);
	reply >> pageRefRID >> pageRefType;

}

// end of PGetHyperlinkInfo.cpp