/*-----------MyInterface.h-------------------------------------
 * Copyright (c) 1997, Adobe Systems, Inc. All rights reserved.
 *
 *
 * This header file includes the class declaration for the
 * MyInterface class, this is needed in any plug-ins that will
 * acquire MyInterface.
 *
 *-------------------------------------------------------------
 */

#ifndef __MyInterface__
#define __MyInterface__

#include "PMPlugin.h"

#define CIMyInterface "MyInterface"

class MyInterface
{
public:
	MyInterface() {}
	~MyInterface() {}

	virtual short PageCount() = 0;
	virtual PMErr AddPage() = 0;
	virtual PMErr RemovePage() = 0;
};

#endif //__MyInterface__
