/*
 *--- FontPalette.h --------------------------------------------------
 * Copyright 1995 Adobe Systems Incorporated. All rights reserved.
 *----------------------------------------------------------------------
 */

#ifndef __FontPalette__
#define __FontPalette__

#include "PPluginCall.h"

class FontPalette : public PPluginCall
{

public:

	FontPalette();
	virtual ~FontPalette() {}

	// Override these methods.
	virtual void	DoLoad();
	virtual void	DoRegister();
	virtual void	DoInvoke();
	virtual void	DoUnload();
	virtual void	DoEvent();
	virtual void	DoSysEvent();
	virtual void	DoAcquireInterface();
	virtual	void	DoReleaseInterface();
	virtual void	DoShutdown();

	// plug-in specific methods (not a part of the framework
	void PaletteEvents();


private:

};
/*
int ConvertX( int x );
int ConvertY( int y );
*/
#endif // __FontPalette__
