/*
 *---OpenCopy.h --------------------------------------------------
 * Copyright (c) 1995 Adobe Systems, Inc.  All rights reserved.
 *----------------------------------------------------------------------
 */

#ifndef __OpenCopyPlugin__
#define __OpenCopyPlugin__

#include "PPluginCall.h"

class OpenCopy : public PPluginCall
{

public:

	OpenCopy();
	virtual ~OpenCopy() {}

	// Override these methods.
	virtual void	DoLoad();
	virtual void	DoRegister();
	virtual void	DoInvoke();
	virtual void	DoUnload();
	virtual void	DoEvent();
	virtual void	DoSysEvent();
	virtual void	DoAcquireInterface();
	virtual	void	DoReleaseInterface();
	virtual void	DoShutdown();

	
private:

};

#endif // __OpenCopyPlugin__
